@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\criscros\criscros.exe %1:\criscros\
xcopy ..\criscros\ccm.* %1:\criscros\
xcopy ..\criscros\*.wl %1:\criscros\
xcopy ..\criscros\18*.crs %1:\criscros\
xcopy ..\storytel\storytel.* %1:\storytel\
xcopy ..\storytel\*.stt  %1:\storytel\
xcopy articles\*.* %1:\sdpc118\articles\
xcopy checkbok\*.* %1:\sdpc118\checkbok\
xcopy polybrid\*.* %1:\sdpc118\polybrid\
xcopy witches\*.* %1:\sdpc118\witches\
xcopy *.shl %1:\sdpc118\
xcopy copy118.bat %1:\sdpc118\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy ..\clipart\18*.pcx %1:\clipart\
xcopy ..\clipart\118*.lst %1:\clipart\
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\bible1.trv %1:\trivnow\
xcopy ..\trivnow\?trek.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\achoo.cwd %1:\crosword\
xcopy articles\*.* %1:\sdpc118\articles\
xcopy *.shl %1:\sdpc118\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
echo.
echo Finished copying SDPC VGA #118 to %1:
echo.
:exit

